Skip to content
Start here

Get bulk operation status

rules.lists.bulk_operations.get(stroperation_id, BulkOperationGetParams**kwargs) -> BulkOperationGetResponse
GET/accounts/{account_id}/rules/lists/bulk_operations/{operation_id}

Gets the current status of an asynchronous operation on a list.

The status property can have one of the following values: pending, running, completed, or failed. If the status is failed, the error property will contain a message describing the error.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Filter Lists EditAccount Filter Lists Read
ParametersExpand Collapse
account_id: str

The Account ID for this resource.

maxLength32
minLength32
operation_id: str

The unique operation ID of the asynchronous action.

ReturnsExpand Collapse
One of the following:
class ListsBulkOperationPendingOrRunning:
id: str

The unique operation ID of the asynchronous action.

status: Literal["pending", "running"]

The current status of the asynchronous operation.

One of the following:
"pending"
"running"
class ListsBulkOperationCompleted:
id: str

The unique operation ID of the asynchronous action.

completed: str

The RFC 3339 timestamp of when the operation was completed.

status: Literal["completed"]

The current status of the asynchronous operation.

class ListsBulkOperationFailed:
id: str

The unique operation ID of the asynchronous action.

completed: str

The RFC 3339 timestamp of when the operation was completed.

error: str

A message describing the error when the status is failed.

status: Literal["failed"]

The current status of the asynchronous operation.

Get bulk operation status

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
bulk_operation = client.rules.lists.bulk_operations.get(
    operation_id="4da8780eeb215e6cb7f48dd981c4ea02",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(bulk_operation)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "4da8780eeb215e6cb7f48dd981c4ea02",
    "status": "pending"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "4da8780eeb215e6cb7f48dd981c4ea02",
    "status": "pending"
  },
  "success": true
}